Bug 590154 - [abrt] crash in soundconverter-1.3.2-4.fc12: Open a folder full of subfolders with flacs
[abrt] crash in soundconverter-1.3.2-4.fc12: Open a folder full of subfolders...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: soundconverter (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
http://developer.berlios.de/bugs/?fun...
abrt_hash:91996cacffe41c942b14a17df5e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 16:50 EDT by jeremy
Modified: 2010-12-03 09:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:57:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.85 KB, text/plain)
2010-05-07 16:50 EDT, jeremy
no flags Details

  None (edit)
Description jeremy 2010-05-07 16:50:42 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python -tt /usr/bin/soundconverter
comment: I don't have lame or faac installed
component: soundconverter
executable: /usr/bin/python
global_uuid: 91996cacffe41c942b14a17df5e64140db1b76cc
kernel: 2.6.32.11-99.fc12.x86_64
package: soundconverter-1.3.2-4.fc12
rating: 4
reason: Process /usr/bin/python was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.Open a folder full of subfolders with flacs
2.
3.
Comment 1 jeremy 2010-05-07 16:50:43 EDT
Created attachment 412440 [details]
File: backtrace
Comment 2 Michael Schwendt 2010-05-12 04:45:22 EDT
Hmm, it crashes way before returning to Soundconverter, which is written in Python: GStreamer FLAC decoder -> libgobject/glib2 -> pygobject2

How reproducible is this?
Can you reduce a test-case to a single FLAC file or folder?
How many FLAC files and subfolders did you try it with?
Comment 3 Michael Schwendt 2010-05-12 06:14:46 EDT
Not immediately related to this, but SoundConverter 1.4.4 is available:
https://admin.fedoraproject.org/updates/search/soundconverter
Comment 4 Michael Schwendt 2010-08-04 07:01:07 EDT
https://admin.fedoraproject.org/updates/soundconverter-1.5.3-1.fc12
and
https://admin.fedoraproject.org/updates/soundconverter-1.5.3-1.fc13

have been submitted and will be available in the updates-testing repository in a few days. Please try to reproduce your issue with this latest release and update this ticket as appropriate.
Comment 5 jeremy 2010-08-28 19:44:36 EDT
Sorry for the delay in responding. As I recall I was trying to open over 2,000 flac files. I just tried to reproduce this with the latest soundconverter in the updates-testing repo and it didn't crash. It became unresponsive.
Comment 6 Gautier Portet 2010-09-07 07:38:14 EDT
Can you please retry the operation after launching "soundconverter --debug" and paste here the output so I can figure what's going on?
Comment 7 jeremy 2010-10-10 18:47:49 EDT
Since my last correspondence I have updated to Fedora 14 and have been unable to reproduce this. It may have been because I did some some cleaning of my music files, or my bug may have been fixed elsewhere. I discovered some of the files had corrupt or borked ID3 tags from when they were ripped if that helps determine root cause. Go ahead and resolve this.
Comment 8 Bug Zapper 2010-11-03 11:22:45 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Evert Verhellen 2010-11-27 09:13:05 EST
I am experiencing the same issue with SoundConverter 1.5.3 on Fedora 13. Whenever I try to convert more than ± 500 ALAC files to MP3, the SoundConverter utility hangs. I have to process my iTunes ALAC library in several steps, then it works fine (now doing a run of 463 files). Having to split the work up is not very user-friendly though.
Comment 10 Michael Schwendt 2010-11-30 06:39:36 EST
> the SoundConverter utility hangs

Where? How exactly? This ticket is about a _crash_ not a freeze. Do you notice a heavy increase of memory usage or anything like that? ALAC decoding only works with a 3rd party GStreamer plugin, probably using ffmpeg. It may be a problem specific to ALAC not SoundConverter.
Comment 11 Bug Zapper 2010-12-03 09:57:11 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.